Subject: Re: Need of advice for XDP sockets on top of the interfaces behind a Linux bonding device

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 26 Jan 2024 20:28:27 +0100

Pavel Vazharov <[email-masked]> writes:

> 3. If the above scheme is supposed to work then is the bonding logic
> (LACP management traffic) affected by the access pattern of the XDP
> sockets? I mean, the order of Rx/Tx operations on the XDP sockets or
> something like that.

Well, it will be up to your application to ensure that it is not. The
XDP program will run before the stack sees the LACP management traffic,
so you will have to take some measure to ensure that any such management
traffic gets routed to the stack instead of to the DPDK application. My
immediate guess would be that this is the cause of those warnings?

-Toke